Package org.jbpm.services.task.commands

## Class GetUserTaskCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<org.kie.api.task.model.Task>
  - - org.jbpm.services.task.commands.GetUserTaskCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<org.kie.api.task.model.Task>`, `org.kie.api.command.ExecutableCommand<org.kie.api.task.model.Task>`

      public class GetUserTaskCommand
      extends TaskCommand<org.kie.api.task.model.Task>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetUserTaskCommand()` |
    `GetUserTaskCommand​(String userId, long taskId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `checkUserPermissions​(String userId, org.kie.api.task.model.Task task, TaskContext context)` |
    `protected boolean` | `checkUserPermissions​(List<String> userGroups, List<org.kie.api.task.model.OrganizationalEntity> organizationalEntities)` |
    `org.kie.api.task.model.Task` | `execute​(org.kie.api.runtime.Context cntxt)` |

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetUserTaskCommand

          public GetUserTaskCommand()

    - #### GetUserTaskCommand

          public GetUserTaskCommand​(String userId,
                                    long taskId)

  - ### Method Detail

    - #### execute

          public org.kie.api.task.model.Task execute​(org.kie.api.runtime.Context cntxt)

    - #### checkUserPermissions

          protected boolean checkUserPermissions​(String userId,
                                                 org.kie.api.task.model.Task task,
                                                 TaskContext context)

    - #### checkUserPermissions

          protected boolean checkUserPermissions​(List<String> userGroups,
                                                 List<org.kie.api.task.model.OrganizationalEntity> organizationalEntities)